<?php
/*
 * @Team : 孜然云
 * @Author : 孜然
 * @Url : zrv7.com
 * @Date : 2021-12-25 17:53
 * @Project : 孜然授权系统
 * @Description : 基于ZR框架开发的授权系统
 * @Qq : 2937978586
 * @Wx : hhr2937978586
 * @Email : 2937978586@qq.com
 * @Read me : 孜然授权系统，是一款多模板/多用途/多权限的授权系统
 * @Remind : 孜然授权系统受《劳动知识产权》和《计算机软件著作法》的法律保护，使用破解即违法法律
 * @Dbfk : 如果您已经使用了盗版，孜然可以通过上述两法告你，不过我是不会这么做的，如果是传播盗版那么就必定告上法院
 */
include("../ZR/common.php");
if ($islogin2==1){
sysmsg("您已注册并且登录，请打道回府！",2,'./',true);
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title><?php echo $conf['name']?> - 用户注册</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
<link rel="stylesheet" href="../assets/layuiadmin/layui.css" media="all">
<link rel="stylesheet" href="../assets/layuiadmin/admin.css" media="all">
<link rel="stylesheet" href="../assets/layuiadmin/login.css" media="all">
</head>
<style type="text/css">
#LAY-user-login {
width: 100%;
height: 100%;
background-size: 300%;
animation: bganimation 30s infinite;
font-family: '@font-face';
}
@font-face {
font-family: 'Nunito';
font-style: normal;
font-weight: 400;
src: local('Nunito Regular'), local('Nunito-Regular'), url(/assets/fonts/XRXV3I6Li01BKofIOuaBTMnFcQIG.woff2) format('woff2');
unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+1EA0-1EF9, U+20AB;
}

.FontColor {
background-image: -webkit-linear-gradient(125deg, #29b9ff, #ff5b40);
-webkit-background-clip: text;
-webkit-text-fill-color: transparent;
text-align: center;
font-size: 2em;
height: 3em;
line-height: 3em;
color: #745dff;
}
.LoginIcon {color: coral;cursor: pointer;}
.LgoinBtn {background: #76e633;}
.LgoinBtnDe {background: #CCCCCC;}
.visitor {width: 2em;height: 2em;margin: 0em auto;box-shadow: 3px 3px 8px 0px #ccc;border-radius: 30rem;cursor: pointer;margin-top: 0em;}
</style>
<body>
<style>
@media screen and (max-width: 788px) {
.nbi {
width: 94% !important;
margin-top: -3.5em;
}
}
</style>
<div class="layadmin-user-login layadmin-user-display-show" id="LAY-user-login" style="display: none;width: 100%;height: auto;background-image: url(https://bing.ioliu.cn/v1/rand?w=1920&h=1080);-webkit-background-size: cover和-o-background-size: cover;">
<div class="layadmin-user-login-main nbi" style="background-color: white;border-radius: 0.3em;opacity: 0.9;">
<a href="./login.php" class="layui-icon layui-icon-left" style="position: absolute;margin: 0.6em;background-image: -webkit-linear-gradient(125deg, #29b9ff, #ff5b40);-webkit-background-clip: text;-webkit-text-fill-color: transparent;"></a>
<div class="layadmin-user-login-box layadmin-user-login-header">
<h2 class="FontColor"><?php echo $conf['sitename'];?></h2>
<p><img src="//q4.qlogo.cn/headimg_dl?dst_uin=<?php echo $conf['kfqq'];?>&spec=640" width="18" height="18"/><?php echo $title;?></p>
</div>
<div class="layadmin-user-login-box layadmin-user-login-body layui-form">
<div class="layui-form-item">
<label class="layadmin-user-login-icon layui-icon layui-icon-username"></label>
<input type="text" name="user" id="user"placeholder="用户名" class="layui-input">
</div>
<div class="layui-form-item">
<label class="layadmin-user-login-icon layui-icon layui-icon-password"></label>
<input type="password" name="pwd" id="pwd"placeholder="密码" class="layui-input">
</div>
<div class="layui-form-item">
<label class="layadmin-user-login-icon layui-icon layui-icon-login-qq"></label>
<input type="text" name="qq" id="qq"placeholder="联系QQ号" class="layui-input">
</div>
<div class="layui-form-item">
<label class="layadmin-user-login-icon layui-icon layui-icon-vercode"></label>
<input type="text" name="email" id="email"placeholder="邮箱" class="layui-input">
</div>
<div class="layui-form-item">
<div class="layui-row">
<div class="layui-col-xs7">
<label class="layadmin-user-login-icon layui-icon layui-icon-vercode"></label>
<input type="text" name="zr1" id="zr1" placeholder="邮箱验证码" class="layui-input">
</div>
<div class="layui-col-xs5">
<div style="margin-left: 10px;">
<span class="layui-btn layui-btn-primary layui-btn-fluid" id="sendcode">获取验证码</span>
</div>
</div>
</div>
</div>

<button class="layui-btn layui-btn-fluid layui-anim layui-anim-upbit" lay-submit lay-filter="noticeBtn" style="background-color: #ff7235">注 册</button>
<div class="layui-trans layui-form-item layadmin-user-login-other"><label>快捷登录</label>
 <a href="./login.php" class="layadmin-user-jump-change layadmin-link">返回登录</a>
 <a href="/" class="layadmin-user-jump-change layadmin-link">返回首页</a>
</div>
</div>
</div>
<div class="layui-trans layadmin-user-login-footer" style="color: white;">
<p>© 2021 <a href="/" target="_blank" style="color: white;"><?php echo $conf['name'];?></a></p>
</div>
</div>
<script type="text/javascript" src="../assets/libs/layui/layui.js"></script>
<script type="text/javascript" src="../assets/js/common.js?v=318"></script>
<script type="text/javascript" src="../assets/js/qrlogin.js"></script>
<script type="text/javascript">
layui.use(['form', 'element','jquery', 'admin', 'tagsInput', 'notice'], function () {
var form = layui.form;
var $ = layui.jquery;
var tagsInput = layui.tagsInput;
var admin = layui.admin;
var notice = layui.notice;
$('#qrcode').click(function () {
$("#adminlogin").hide(500);
$("#saoma").show(500);
});
$('#fanhui').click(function () {
$("#adminlogin").show(500);
$("#saoma").hide(500);
});
form.on('submit(noticeBtn)', function (data) {
var user = $("input[name='user']").val();
var pwd = $("input[name='pwd']").val();
var qq = $("input[name='qq']").val();
var email = $("input[name='email']").val();
var zr1 = $("input[name='zr1']").val();
admin.btnLoading('[lay-filter="noticeBtn"]','');
var ii = layer.load(2, {shade:[0.1,'#fff']});
notice.destroy();
$.ajax({
type: "POST",
url: "ajax.php?act=reg",
data : {user:user,pwd:pwd,qq:qq,email:email,zr1:zr1},
dataType: "json",
success: function(data) {
layer.close(ii);
admin.btnLoading('[lay-filter="noticeBtn"]', false);
if (data.code == 0) {
notice.msg(data.msg, {animateInside: true, icon: 1});
setTimeout(function(){
window.location.href = './';
},1000);
} else {
notice.msg(data.msg, {animateInside: true, icon: 2});
}
},
error:function(data){
notice.msg('代码错误！作者QQ2937978586', {animateInside: true, icon: 2});
return false;
}
});
return false;
});
//邮箱发信
$("#sendcode").click(function(){
var email=$("input[name='email']").val();
var ii = layer.load(2, {shade:[0.1,'#fff']});
$.ajax({
type : "POST",
url : "ajax.php?act=sendcode",
data : {email:email},
dataType : 'json',
success : function(data) {
layer.close(ii);
if(data.code == 0){
notice.msg('发送成功！', {animateInside: true, icon: 1});
}else{
notice.msg(data.msg, {animateInside: true, icon: 2});
}
} 
});
});
});
</script> 
</body>
</html>